[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.DisplayIconLeft

Returns the horizontal position for the left edge of the icon displayed for the tree node.

## Declaration

Source position: comctrls.pp line 3100

`public function TTreeNode.DisplayIconLeft: Integer;`

## Function result

Horizontal coordinate where the left edge of the icon for the node is displayed.

## Description

The return value accounts for the state icon displayed when StateImages have been assigned in the TreeView control and StateImageIndex is a valid position in the image list. The return value is adjusted for the scaled width for the state image and the default item spacing used on the TreeView control.